"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TolgeeProvider = exports.TolgeeChain = exports.useTranslate = exports.T = exports.useTolgee = void 0;
const react_1 = __importDefault(require("react"));
const react_2 = require("@tolgee/react");
const react_native_1 = require("react-native");
var react_3 = require("@tolgee/react");
Object.defineProperty(exports, "useTolgee", { enumerable: true, get: function () { return react_3.useTolgee; } });
var T_1 = require("./T");
Object.defineProperty(exports, "T", { enumerable: true, get: function () { return T_1.T; } });
var useTranslate_1 = require("./useTranslate");
Object.defineProperty(exports, "useTranslate", { enumerable: true, get: function () { return useTranslate_1.useTranslate; } });
exports.TolgeeChain = (0, react_2.Tolgee)().use((0, react_2.DevTools)()).use((0, react_2.FormatSimple)());
const TolgeeProvider = ({ children, tolgee }) => (react_1.default.createElement(react_2.TolgeeProvider, { tolgee: tolgee, fallback: react_1.default.createElement(react_native_1.Text, null, "Loading...") }, children));
exports.TolgeeProvider = TolgeeProvider;
